### Method

# WPEPlatform Clipboard get_formats

#### Declaration [src]

    const char* const*
    wpe_clipboard_get_formats (
      WPEClipboard* clipboard
    )

#### Description [src]

Get the formats that clipboard can provide.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of formats, or `NULL` if clipboard is empty.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.